# docker-compose.yml

services:
  app:
    container_name: webservices-app
    # The name of the image that will be created when building this container
    # Change this based on your app's name...
    image: forge.magnificent.nz/lightweight/webservices-app:latest
    build:
      context: .
      dockerfile: Dockerfile
    user: "node"
    environment:
      # Internal server error messages will not send stacktrace to the browser in production
      - NODE_ENV=production
      # Sets the timezone of the containers OS
      - TZ=Pacific/Auckland
    # Points to a file with the sensitive environment variables
    env_file:
      - .env
    restart: unless-stopped
    ports:
    # change the port on 127.0.0.1 to ensure it's not already in use on the host.
      - 127.0.0.1:5050:5050
    # this stanza allows your container to find the site with the source data without needing to have
    # dns set up properly. Comment it out if you don't need it.
    extra_hosts:
      - "static.magnificent.nz:203.118.159.63"
